# vim: syntax=spec

Name: preproc-rpmspec
Version: 1.1
Release: 1%{?dist}
Summary: Minimalistic tool for rpm spec-file preprocessing
License: GPLv2+
URL: https://pagure.io/preproc-rpmspec.git

%if 0%{?fedora} || 0%{?rhel} > 6
VCS: git+ssh://git@pagure.io/preproc-rpmspec.git#1ff7e555d4eaea76799506b1c9b907f1c6b9fc03:
%endif

# Source is created by:
# git clone https://pagure.io/preproc-rpmspec.git
# cd preproc-rpmspec
# git checkout preproc-rpmspec-1.1-1
# ./rpkg spec --sources
Source0: preproc-rpmspec-1ff7e555.tar.gz

BuildArch: noarch

Requires: bash
Requires: preproc
Requires: rpkg-macros >= 1.0

%description
Minimalistic tool to perform rpm spec-file preprocessing by using
preproc utilility and rpkg-macros. It can preprocess an rpm
spec file and print the result to stdout or to a file.

%prep
%setup -T -b 0 -q -n preproc-rpmspec

%install
install -d %{buildroot}%{_bindir}
install -p -m 0755 preproc-rpmspec %{buildroot}%{_bindir}

%files
%{!?_licensedir:%global license %doc}
%license LICENSE
%{_bindir}/preproc-rpmspec

%changelog
* Thu Oct 08 2020 Michal Novotný <michal.novotny@comprimato.com> 1.1-1
- set lead to empty

* Mon Oct 05 2020 Michal Novotný <michal.novotny@comprimato.com> 1.0-1
- Require rpkg-macros >= 1.0

* Wed Mar 11 2020 clime <clime@fedoraproject.org> 0.3-2
- Rebuild

* Tue Mar 10 2020 clime <clime@fedoraproject.org> 0.3-1
- no change, just a new tag

* Mon Mar 09 2020 clime <clime@fedoraproject.org> 0.2-1
- update description in spec

* Sun Mar 08 2020 clime <clime@fedoraproject.org> 0.1-1
- odd support for macros that produce files (git_archive/git_pack)
- replace --in-space with --output
- add note about the need to trust the spec files that are being preprocessed
- initial commit
